message_header Struct Reference

## Data Fields

uint16_t | id
uint8_t | octet2
uint8_t | octet3
uint16_t | qdcount
uint16_t | ancount
uint16_t | nscount
uint16_t | arcount

## Field Documentation

## id

uint16_t message_header::id

## octet2

uint8_t message_header::octet2

## octet3

uint8_t message_header::octet3

## qdcount

uint16_t message_header::qdcount

## ancount

uint16_t message_header::ancount

## nscount

uint16_t message_header::nscount

## arcount

uint16_t message_header::arcount

The documentation for this struct was generated from the following file:

- resolver.c